package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公司的搜索记录对象 tb_user_company_record
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TbUserCompanyRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long companyRecordId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 公司搜索记录 */
    @Excel(name = "公司搜索记录")
    private String companyRecord;

    public void setCompanyRecordId(Long companyRecordId) 
    {
        this.companyRecordId = companyRecordId;
    }

    public Long getCompanyRecordId() 
    {
        return companyRecordId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setCompanyRecord(String companyRecord) 
    {
        this.companyRecord = companyRecord;
    }

    public String getCompanyRecord() 
    {
        return companyRecord;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("companyRecordId", getCompanyRecordId())
            .append("userId", getUserId())
            .append("companyRecord", getCompanyRecord())
            .toString();
    }
}
